using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class collision : MonoBehaviour {

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	void OnCollisionEnter2D(Collision2D coll) {
		if(coll.gameObject.tag != "Planet" && coll.gameObject.tag != "Asteroid" && coll.gameObject.tag != "Player" && coll.gameObject.tag != "Turret" && coll.gameObject.tag != "Bullet") GetComponentInChildren<HealthBarScript> ().TakeDamage ();
		}
}
